dpkg-buildapi(1)

NAME
dpkg-buildapi - returns the build API level to use during package build

SYNOPSIS
dpkg-buildapi [option...] [command]

DESCRIPTION
dpkg-buildapi is a tool to retrieve the dpkg-build-api(7) level to use during build of source Debian packages.

This program was introduced in dpkg 1.22.0.

COMMANDS

--help
    Show the usage message and exit.

--version
    Show the version and exit.

OPTIONS

-ccontrol-file
    Specifies the main source control file to read information from. The default is debian/control.

ENVIRONMENT

DPKG_BUILD_API
    The build API level to use. This is intended to be used internally by the tools executed from debian/rules to avoid having to parse debian/control multiple times, and not to set the global build API level from debian/rules, otherwise build drivers (such as dpkg-buildpackage(1)) cannot access it.

FILES

  Packaging support

/usr/share/dpkg/buildapi.mk
    Makefile snippet that will parse the build API level.